Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.utils
Class FastaConverter.SingleRichSeqIterator

    java.lang.Object
      org.irisa.genouest.logol.utils.FastaConverter.SingleRichSeqIterator

All Implemented Interfaces:
  org.biojava.bio.seq.SequenceIterator, org.biojavax.bio.BioEntryIterator, org.biojavax.bio.seq.RichSequenceIterator

Enclosing class:
  FastaConverter

    public static final class FastaConverter.SingleRichSeqIterator

extends java.lang.Object
implements org.biojavax.bio.seq.RichSequenceIterator

Used to iterate over a single rich sequence

Field Summary
`private org.biojavax.bio.seq.RichSequence` | `seq`

Constructor Summary
`FastaConverter.SingleRichSeqIterator(org.biojava.bio.seq.Sequence seq)` Creates an iterator over a single sequence.

Method Summary
`boolean` | `hasNext()`
`org.biojavax.bio.BioEntry` | `nextBioEntry()`
`org.biojavax.bio.seq.RichSequence` | `nextRichSequence()`
`org.biojava.bio.seq.Sequence` | `nextSequence()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seq

    private org.biojavax.bio.seq.RichSequence seq

Constructor Detail

### FastaConverter.SingleRichSeqIterator

    public FastaConverter.SingleRichSeqIterator(org.biojava.bio.seq.Sequence seq)

  Creates an iterator over a single sequence.

  Parameters:
    `seq` - the sequence to iterate over.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `org.biojava.bio.seq.SequenceIterator`
  Specified by:
    `hasNext` in interface `org.biojavax.bio.BioEntryIterator`
  Returns:
    true if another `RichSequence` is available

### nextSequence

    public org.biojava.bio.seq.Sequence nextSequence()

  Specified by:
    `nextSequence` in interface `org.biojava.bio.seq.SequenceIterator`
  Returns:
    a `RichSequence`

### nextBioEntry

    public org.biojavax.bio.BioEntry nextBioEntry()

  Specified by:
    `nextBioEntry` in interface `org.biojavax.bio.BioEntryIterator`
  Returns:
    a `RichSequence`

### nextRichSequence

    public org.biojavax.bio.seq.RichSequence nextRichSequence()

  Specified by:
    `nextRichSequence` in interface `org.biojavax.bio.seq.RichSequenceIterator`
  Returns:
    a `RichSequence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD